Subject: [mpls] LDP IPv6

From: Vishwas Manral <[email-masked]>
Date: Mon, 26 Jul 2010 14:39:12 -0700

Hi Chairs,

We would like to request you to have a WG call to gauge support and
adopt the document LDP IPv6 as a working Group item.

The document is located at
http://tools.ietf.org/html/draft-manral-mpls-ldp-ipv6-03

The document in the past has got some review on the list.

Thanks,
Vishwas

On Fri, Apr 16, 2010 at 6:59 AM, Vishwas Manral <[email-masked]> wrote:
> Hi Egor,
>
> 1. As Mikael brought out the question of what else is missing I
> brought up the MIB and RSVP-TE issues. I will bring the details out in
> another mail with the correct subject line.
> 2. I guess now that we have more knowledge of the draft we can
> actually try to push it further.
>
> Thanks,
> Vishwas
>
> On Fri, Apr 16, 2010 at 1:03 AM, Egor Zimin <[email-masked]> wrote:
>> Hi, Vishwas,
>>
>> 1. About RSVP-TE and IPv6 Router Alert option.
>> I do not quite understand your opinion.
>> Do you propose to remove Router Alert option for IPv6 ? Why ? Because of
>> lack of RSVP-TE IPv6 implementations alone ? Because of only RSVP TE uses
>> this option ? Also, what security issues do you mean ?
>> And... what does that have to LDPv6 draft discussion?
>>
>> 2. About draft-manral-mpls-ldp-ipv6-03:
>> I think, the changes and clarifications proposed in the draft are very
>> obvious and not so significant. In fact, the draft only clarifies peer
>> discovery and transport session establishment procedures for IPv6. I don't
>> understand why this draft has not yet become RFC.
>>
>> 2010/4/15 Vishwas Manral <[email-masked]>
>>>
>>> Hi Mikael/ Rob/ Farhan/ Egor,
>>>
>>> > Considering IPv4 runout I definitely see greenfield rollout in 1-2
>>> > years wanting to do this IPv6 only, and considering code usually
>>> > takes time to be finished the standards should definitely be done
>>> > by now.
>>> >
>>> > What else is missing?
>>> Let me begin by saying that most drafts/ RFC's have some IPv6
>>> component to them. This however is appended as an add-on in some
>>> cases. As most of these have not been looked at in detail there are
>>> some holes in the RFC for IPv6.
>>>
>>> I found similar holes a couple of years back and wrote this and the
>>> MPLS-TC IPv6 MIB draft. I also noticed that for RSVP-TE for IPv6 we do
>>> not have support for Router Alert in a lot of platforms. It also has
>>> all the security issues aside from that.
>>>
>>> As RSVP-TE seems to be carrying Router Alert as a legacy thing and as
>>> RSVP-TE IPv6 is not implemented on the field I think it would be good
>>> to do away, remove the use of Router Alert in RSVP for IPv6.
>>>
>>> What do folks on the list think?
>>>
>>> BTW, I had mails from a couple of more operators in private and have
>>> forwarded them to the chairs.
>>>
>>> Thanks,
>>> Vishwas
>>>
>>> On Wed, Apr 14, 2010 at 11:01 PM, Mikael Abrahamsson <[email-masked]>
>>> wrote:
>>> > On Wed, 14 Apr 2010, Rob Shakir wrote:
>>> >
>>> >> I'd just like to speak up in support of this draft also. As an operator
>>> >> that is progressing an IPv6 rollout, we are finding that in a number of
>>> >> places, the only need to utilise 6PE is in order to address the lack of
>>> >> support for IPv6 in LDP.
>>> >
>>> > +1 from me as well, I'm actually surprised that there hasn't been more
>>> > work
>>> > in establishing feature parity between IPv4 and IPv6 in the control
>>> > plane.
>>> > I'd imagine that by now it would be possible to implement
>>> > standards-based
>>> > IPv6 only control plane with equal functionality as is today possible
>>> > with
>>> > IPv4.
>>> >
>>> >> Whilst I think it's unlikely that many operators are currently putting
>>> >> this down as a mandatory requirement, it's definitely something that I
>>> >> believe is required.
>>> >
>>> > Considering IPv4 runout I definitely see greenfield rollout in 1-2 years
>>> > wanting to do this IPv6 only, and considering code usually takes time to
>>> > be
>>> > finished the standards should definitely be done by now.
>>> >
>>> > What else is missing?
>>> >
>>> > --
>>> > Mikael Abrahamsson    email: [email-masked]
>>> >
>>
>>
>>
>> --
>> Best regards,
>> Egor Zimin
>>
>